

	LIST P=18F458		;directive to define processor
	#include <P18F458.INC>	;processor specific variable definitions

;******************************************************************************
;Configuration bits  tell the pic system how its to be used
; OSC = XT denotes a crystal of up to 4mhz

	CONFIG LVP=OFF,  WDT=OFF, PWRT=ON, OSC=XT

   

;******************************************************************************
;Variable definitions/User Registers
; Access Ram bank 0
		CBLOCK	0x000
		
		count					; work file for Sim test

		ENDC

	

;******************************************************************************
;Reset vector
; This code will start executing when a reset occurs.

		ORG	0x0000

		goto	Main		;go to start of main code

;******************************************************************************
;High priority interrupt vector

		ORG	0x0008

		retfie

;******************************************************************************
;Low priority interrupt vector and routine

		ORG	0x0018

		retfie


;******************************************************************************
;Start of main program
; The main program code is placed here.

Main:

		CLRF	TRISB		; MAKE PORT b PINS OUTPUT
		

LOOP    MOVLW    d'10'        ; WREG = 10 (decimal) for counter
        MOVWF    COUNT        ; load the counter
        MOVLW    0            ; WREG = 0
AGAIN    ADDLW    3            ; add 03 to WREG  (WREG = sum)
        DECFSZ    COUNT, F    ; decrement counter, skip if count = 0
        GOTO    AGAIN        ; repeat until count becomes 0
        MOVWF    PORTB        ; send sum to PORTB SFR

		CLRF	PORTB		
	

		GOTO	LOOP



        END  














